linux: 3.16.0-24.32 -proposed tracker

Bug #1386635 reported by Luis Henriques on 2014-10-28
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
Canonical Security Team
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Utopic
Medium
Unassigned

Bug Description

This bug is for tracking the 3.16.0-24.32 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 28. October 2014 10:37 UTC
kernel-stable-Prepare-package-end:Tuesday, 28. October 2014 21:02 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 28. October 2014 21:02 UTC
ppa-package-testing-start:Tuesday, 28. October 2014 21:02 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 29. October 2014 01:01 UTC
kernel-stable-Verification-testing-start:Wednesday, 29. October 2014 02:04 UTC
kernel-stable-Certification-testing-start:Wednesday, 29. October 2014 02:04 UTC
kernel-stable-Security-signoff-start:Wednesday, 29. October 2014 02:04 UTC
kernel-stable-Regression-testing-start:Wednesday, 29. October 2014 02:04 UTC
kernel-stable-Verification-testing-end:Wednesday, 29. October 2014 02:36 UTC
kernel-stable-Regression-testing-end:Wednesday, 29. October 2014 02:36 UTC
kernel-stable-Security-signoff-end:Wednesday, 29. October 2014 02:36 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 29. October 2014 02:39 UTC
kernel-stable-Certification-testing-end:Wednesday, 29. October 2014 02:39 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 29. October 2014 03:02 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 29. October 2014 04:03 UTC

Luis Henriques (henrix) on 2014-10-28
tags: added: kernel-release-tracking-bug
tags: added: utopic
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Utopic):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

It was not possible to create or handle the tracking bugs for the following packages (their tracking bugs based on this update must be handled manually):
linux-lts-utopic (trusty)

description: updated
Brad Figg (brad-figg) on 2014-10-29
description: updated
Brad Figg (brad-figg) on 2014-10-29
description: updated
Adam Conrad (adconrad) on 2014-10-29
tags: added: qa-testing-passed

The certification-testing task was set to Fix Released but neither the certification-testing-passed or certification-testing-failed tag was applied

description: updated
Adam Conrad (adconrad) on 2014-10-29
tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2014-10-29
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.16.0-24.32

---------------
linux (3.16.0-24.32) utopic; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1386635

  [ Upstream Kernel Changes ]

  * KVM: x86: Check non-canonical addresses upon WRMSR
    - LP: #1384539
    - CVE-2014-3610
  * KVM: x86: Prevent host from panicking on shared MSR writes.
    - LP: #1384539
    - CVE-2014-3610
  * KVM: x86: Improve thread safety in pit
    - LP: #1384540
    - CVE-2014-3611
  * KVM: x86: Fix wrong masking on relative jump/call
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: Warn if guest virtual address space is not 48-bits
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: Emulator fixes for eip canonical checks on near branches
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: emulating descriptor load misses long-mode case
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: Handle errors when RIP is set during far jumps
    - LP: #1384545
    - CVE-2014-3647
  * kvm: vmx: handle invvpid vm exit gracefully
    - LP: #1384544
    - CVE-2014-3646
 -- Luis Henriques <email address hidden> Tue, 28 Oct 2014 10:40:55 +0000

Changed in linux (Ubuntu Utopic):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-10-29
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.16.0-24.32

---------------
linux (3.16.0-24.32) utopic; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1386635

  [ Upstream Kernel Changes ]

  * KVM: x86: Check non-canonical addresses upon WRMSR
    - LP: #1384539
    - CVE-2014-3610
  * KVM: x86: Prevent host from panicking on shared MSR writes.
    - LP: #1384539
    - CVE-2014-3610
  * KVM: x86: Improve thread safety in pit
    - LP: #1384540
    - CVE-2014-3611
  * KVM: x86: Fix wrong masking on relative jump/call
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: Warn if guest virtual address space is not 48-bits
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: Emulator fixes for eip canonical checks on near branches
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: emulating descriptor load misses long-mode case
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: Handle errors when RIP is set during far jumps
    - LP: #1384545
    - CVE-2014-3647
  * kvm: vmx: handle invvpid vm exit gracefully
    - LP: #1384544
    - CVE-2014-3646
 -- Luis Henriques <email address hidden> Tue, 28 Oct 2014 10:40:55 +0000

Changed in linux (Ubuntu):
status: Invalid → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers